/// <reference types="pcore-pconnect-typedefs" />
import { EventEmitter, OnChanges } from '@angular/core';
import { ProgressSpinnerService } from '../../../_messages/progress-spinner.service';
import * as i0 from "@angular/core";
export declare class CancelAlertComponent implements OnChanges {
    private psService;
    pConn$: typeof PConnect;
    bShowAlert$: boolean;
    onAlertState$: EventEmitter<boolean>;
    heading$: string;
    body1$: string;
    body2$: string;
    itemKey: string;
    localizedVal: Function;
    localeCategory: string;
    constructor(psService: ProgressSpinnerService);
    ngOnChanges(): void;
    dismissAlert(): void;
    dismissAlertOnly(): void;
    sendMessage(sMessage: string): void;
    buttonClick(sAction: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CancelAlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CancelAlertComponent, "app-cancel-alert", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "bShowAlert$": { "alias": "bShowAlert$"; "required": false; }; }, { "onAlertState$": "onAlertState$"; }, never, never, true, never>;
}
